---
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"operators.coreos.com/v1alpha1","kind":"CatalogSource","metadata":{"annotations":{},"name":"prestage-operators","namespace":"openshift-marketplace"},"spec":{"displayName":"OADP Operator Stage Catalog","image":"brew.registry.redhat.io/rh-osbs/iib:1051792","publisher":"Red Hat","sourceType":"grpc","updateStrategy":{"registryPoll":{"interval":"10m"}}}}
  creationTimestamp: "2025-10-27T13:07:06Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/last-applied-configuration: {}
      f:spec:
        .: {}
        f:displayName: {}
        f:image: {}
        f:publisher: {}
        f:sourceType: {}
        f:updateStrategy:
          .: {}
          f:registryPoll:
            .: {}
            f:interval: {}
    manager: kubectl-client-side-apply
    operation: Update
    time: "2025-10-27T13:07:06Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:connectionState:
          .: {}
          f:address: {}
          f:lastConnect: {}
          f:lastObservedState: {}
        f:latestImageRegistryPoll: {}
        f:registryService:
          .: {}
          f:createdAt: {}
          f:port: {}
          f:protocol: {}
          f:serviceName: {}
          f:serviceNamespace: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2025-10-29T13:28:27Z"
  name: prestage-operators
  namespace: openshift-marketplace
  resourceVersion: "2237265"
  uid: 59ff82b7-c5dd-42e2-86c0-f2521aa6cff5
spec:
  displayName: OADP Operator Stage Catalog
  image: brew.registry.redhat.io/rh-osbs/iib:1051792
  publisher: Red Hat
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 10m
status:
  connectionState:
    address: prestage-operators.openshift-marketplace.svc:50051
    lastConnect: "2025-10-29T13:28:26Z"
    lastObservedState: READY
  latestImageRegistryPoll: "2025-10-29T13:19:16Z"
  registryService:
    createdAt: "2025-10-27T13:07:06Z"
    port: "50051"
    protocol: grpc
    serviceName: prestage-operators
    serviceNamespace: openshift-marketplace
